#!/usr/bin/bash


DIR=$(readlink $0 | sed "s|DiskEditor.sh||")
if [ ! -x "$DIR/DiskEditor" ] ;then 
echo 1$DIR
    DIR=$( cd $( dirname "$0" ) && pwd )
echo 2$DIR
fi

#_BINARY=$(basename "$0" | sed s,\.sh$,,)
_BINARY=DiskEditor

if [ -z $XAUTHORITY ]; then _XA="$HOME/.Xauthority"; else _XA="$XAUTHORITY"; fi
PRESERVED_VARS=''
PRESERVED_VARS+=" DISPLAY=$DISPLAY"
PRESERVED_VARS+=" XAUTHORITY=$_XA"
PRESERVED_VARS+=" USER=$USER"
PRESERVED_VARS+=" KDE_FULL_SESSION=$KDE_FULL_SESSION"
PRESERVED_VARS+=" KDE_SESSION_VERSION=$KDE_SESSION_VERSION"
PRESERVED_VARS+=" XDG_SESSION_DESKTOP=$XDG_SESSION_DESKTOP"
PRESERVED_VARS+=" XDG_CURRENT_DESKTOP=$XDG_CURRENT_DESKTOP"
PRESERVED_VARS+=" XDG_SESSION_ID=$XDG_SESSION_ID"

#PRESERVED_VARS+=" HOME=$HOME"
PRESERVED_VARS+=" QT_SYSTEM_DIR=$QT_SYSTEM_DIR"
#PRESERVED_VARS+=" QT_PLUGIN_PATH=/usr/lib64/qt5/plugins"
PRESERVED_VARS+=" QT_PLUGIN_PATH=${DIR}/plugins"
PRESERVED_VARS+=" LD_LIBRARY_PATH=${DIR}/lib"

rm -f "$DIR/qt.conf" 2> /dev/null
rm -f "$DIR/temp.sh" 2> /dev/null

[ ! -d "$HOME/.active/diskeditor" ] && mkdir -p $HOME/.active/diskeditor
cd $HOME/.active/diskeditor
if [ ! -e "$HOME/.active/diskeditor/qt.conf" ]; then
cat <<EOF > "$HOME/.active/diskeditor/qt.conf"
[Paths]
Prefix = $DIR
EOF
fi

echo 3$DIR

pkexec env ${PRESERVED_VARS[@]} "$DIR/$_BINARY" "\$@"

exit 0
